Page MenuHomeFreeBSD

Move Mk/bsd.fpc.mk to Mk/Uses/fpc.mk
ClosedPublic

Authored by acm on Mar 8 2018, 5:42 AM.

Details

Summary

It introduces Uses/fpc.mk and move all fpc-ports to USES=fpc

Test Plan

Tested on head

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acm created this revision.Mar 8 2018, 5:42 AM
Herald added 1 blocking reviewer(s): portmgr. · View Herald TranscriptMar 8 2018, 5:42 AM
Herald added subscribers: mat, emaste. · View Herald Transcript
mat added a comment.Mar 8 2018, 10:46 AM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

mat added inline comments.Mar 8 2018, 10:58 AM
Mk/Uses/fpc.mk
42–50 ↗(On Diff #40064)

You should add DEV_WARNINGS if the WANT_* variables are set, so that they get removed.
You do not seem to be doing any checks to the content of fpc_ARGS, you should add some.

103 ↗(On Diff #40064)

Same here, USE_FPC=yes should give a warning.

203 ↗(On Diff #40064)

Why did you remove the _POST component? Is it never needed?

acm updated this revision to Diff 40179.Mar 11 2018, 9:42 PM
  • Add DEV_WARNINGS
  • Add check of fpc_ARGS
  • USE_FPC warning is into bsd.port.mk
  • I think that _POST variable is not necessary because it doesn't rewrite any target
acm marked 2 inline comments as done.Mar 11 2018, 9:43 PM
mat added inline comments.Mar 12 2018, 10:18 AM
Mk/Uses/fpc.mk
224 ↗(On Diff #40179)

That can probably be removed.

acm updated this revision to Diff 40197.Mar 12 2018, 3:22 PM
acm marked an inline comment as done.
  • Remove line from end of file
mat added inline comments.Mar 12 2018, 4:49 PM
Mk/Uses/fpc.mk
10–12 ↗(On Diff #40197)

This is not required, there is a MAINTAINER line, any unauthorized commits can (and will) be backed out.

14–16 ↗(On Diff #40197)

This is a bit strange. It would probably be better to move the first sentence at the top, after "Support for FPC-...", and move the description of USE_FPC after the arguments description.

46–57 ↗(On Diff #40197)

As you already removed all uses of USE_FPC_RUN, WANT_FPC_BASE and WANT_FPC_ALL, so it would probably be best to remove support for them completely, and change the warnings into errors and put them in Mk/bsd.sanity.mk.

Mk/bsd.port.mk
1380–1383 ↗(On Diff #40197)

Unless I missed something, you added USES=fpc to all ports using USE_FPC, so this can be removed. (And the bit of doc about USE_FPC at the top of the file can go too.)

acm marked 4 inline comments as done.Mar 12 2018, 6:08 PM
acm updated this revision to Diff 40205.Mar 12 2018, 6:12 PM
  • Remove not necessary messages
  • Move WARNING message to Mk/bsd.sanity.mk
  • Remove lines about USE_FPC from Mk/bsd.port.mk
  • Some another changes
acm added a comment.Mar 22 2018, 8:44 PM

Any news?

mat accepted this revision as: portmgr.Mar 28 2018, 11:18 AM

I cannot find anything more to add or ask, so...

I do not remember seeing an exp-run request for this, but be sure to ask for one before committing the patch.

acm updated this revision to Diff 41071.Apr 4 2018, 5:51 AM
  • Revert editors/lazarus to 1.8.0
This revision was not accepted when it landed; it landed in state Needs Review.Apr 5 2018, 4:52 AM
This revision was automatically updated to reflect the committed changes.